Loading...
Searching...
No Matches
robottestingframework::Exception Class Reference

The Exception is a generic exception. More...

`#include <robottestingframework/Exception.h>`

Inheritance diagram for robottestingframework::Exception:
[legend]

## Public Member Functions

| Exception (const Exception &other)
| Exception (const TestMessage &msg)
virtual | ~Exception () throw ()
const char * | what () const override throw ()
| what
const TestMessage & | message ()
| message

## Private Attributes

TestMessage | expMessage
std::string | strMessage

## Detailed Description

The Exception is a generic exception.

Definition at line 34 of file Exception.h.

## Constructor & Destructor Documentation

## Exception() [1/2]

robottestingframework::Exception::Exception | ( | const Exception & | other | ) |

inline

Definition at line 38 of file Exception.h.

## Exception() [2/2]

robottestingframework::Exception::Exception | ( | const TestMessage & | msg | ) |

inline

Definition at line 45 of file Exception.h.

## ~Exception()

virtual robottestingframework::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 53 of file Exception.h.

## Member Function Documentation

## message()

const TestMessage & robottestingframework::Exception::message | ( |  | ) |

inline

message

Returns
  the current exception message as TestMessage

Definition at line 71 of file Exception.h.

## what()

const char * robottestingframework::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inline override

what

Returns
  the exception message string

Definition at line 61 of file Exception.h.

## Member Data Documentation

## expMessage

TestMessage robottestingframework::Exception::expMessage

private

Definition at line 77 of file Exception.h.

## strMessage

std::string robottestingframework::Exception::strMessage

private

Definition at line 78 of file Exception.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/Exception.h